Skip to main content
Get deployment by ID
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

deploymentId
string
required

Unique identifier of the deployment (required). Example: 'dep-abc123'

Response

Successfully retrieved deployment

Deployment get response

id
string

Deployment ID

name
string

Release name

title
string

Title of the deployment

description
string

Description of the deployment

projectId
string

Project ID associated with the deployment

type
enum<string>
default:K8sDeploymentType_UNSPECIFIED

Type of deployment

Available options:
K8sDeploymentType_UNSPECIFIED,
HELMCHART
spec
Deployment data · object

Deployment spec

deploymentStatus
string

Deployment status

resourceStatusMap
object[]

Map of resource status details

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp

createdBy
string

User who created the deployment

updatedBy
string

User who last updated the deployment